Bug 846409 - lightparser.pl does not understand filename format for archived logs
lightparser.pl does not understand filename format for archived logs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lightsquid (Show other bugs)
17
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: aleksey
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 13:09 EDT by Chupaka
Modified: 2013-07-31 14:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 770131
Environment:
Last Closed: 2013-07-31 14:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Possible patch for logrotate's filenames support (783 bytes, application/octet-stream)
2012-08-07 13:09 EDT, Chupaka
no flags Details

  None (edit)
Description Chupaka 2012-08-07 13:09:36 EDT
Created attachment 602812 [details]
Possible patch for logrotate's filenames support

+++ This bug was initially created as a clone of Bug #770131 +++

Description of problem:
For processing archived squid logs, loghtparser.pl supports "lightparse.pl access.log.{\d}.{gz|bz2}" syntax. But logrotate creates files named "access.log-NNNNNNNN.gz", not "access.log.NNNNNNNN.gz", so it's impossible to process those files; lightparser.pl silently ignores filename and processes access.log.

Version-Release number of selected component (if applicable):
lightsquid-apache-1.8-11.fc17.noarch

Solution:
Possible patch to allow logrotate's file format is attached
Comment 1 Fedora End Of Life 2013-07-03 15:37:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 14:24:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.